curl_multi_init(3)

NAME
curl_multi_init - create a multi handle

SYNOPSIS
#include <curl/curl.h>

CURLM *curl_multi_init();

DESCRIPTION
This function returns a CURLM handle to be used as input to all the other multi-functions, sometimes referred to as a multi handle in some places in the documentation. This init call MUST have a corresponding call to curl_multi_cleanup(3) when the operation is complete.

EXAMPLE
/* init a multi stack */
multi_handle = curl_multi_init();

/* add individual transfers */
curl_multi_add_handle(multi_handle, http_handle);
curl_multi_add_handle(multi_handle, http_handle2);

AVAILABILITY
Added in 7.9.6

RETURN VALUE
If this function returns NULL, something went wrong and you cannot use the other curl functions.

SEE ALSO
curl_multi_cleanup(3),curl_global_init(3),curl_easy_init(3)